Hardware Locality (hwloc): hwloc_topology_membind_support Struct Reference

Hardware Locality (hwloc) 2.14.0rc1

Data Fields
hwloc_topology_membind_support Struct Reference
Topology Detection Configuration and Query

`#include <hwloc.h>`

## Data Fields
unsigned char | set_thisproc_membind
unsigned char | get_thisproc_membind
unsigned char | set_proc_membind
unsigned char | get_proc_membind
unsigned char | set_thisthread_membind
unsigned char | get_thisthread_membind
unsigned char | set_area_membind
unsigned char | get_area_membind
unsigned char | alloc_membind
unsigned char | firsttouch_membind
unsigned char | bind_membind
unsigned char | interleave_membind
unsigned char | nexttouch_membind
unsigned char | migrate_membind
unsigned char | get_area_memlocation
unsigned char | weighted_interleave_membind

## Detailed Description

Flags describing actual memory binding support for this topology.

A flag may be set even if the feature isn't supported in all cases (e.g. binding to random sets of non-contiguous objects).

## Field Documentation

## ◆ alloc_membind

unsigned char hwloc_topology_membind_support::alloc_membind

Allocating a bound memory area is supported.

## ◆ bind_membind

unsigned char hwloc_topology_membind_support::bind_membind

Bind policy is supported.

## ◆ firsttouch_membind

unsigned char hwloc_topology_membind_support::firsttouch_membind

First-touch policy is supported.

## ◆ get_area_membind

unsigned char hwloc_topology_membind_support::get_area_membind

Getting the binding of a given memory area is supported.

## ◆ get_area_memlocation

unsigned char hwloc_topology_membind_support::get_area_memlocation

Getting the last NUMA nodes where a memory area was allocated is supported

## ◆ get_proc_membind

unsigned char hwloc_topology_membind_support::get_proc_membind

Getting the binding of a whole given process is supported.

## ◆ get_thisproc_membind

unsigned char hwloc_topology_membind_support::get_thisproc_membind

Getting the binding of the whole current process is supported.

## ◆ get_thisthread_membind

unsigned char hwloc_topology_membind_support::get_thisthread_membind

Getting the binding of the current thread only is supported.

## ◆ interleave_membind

unsigned char hwloc_topology_membind_support::interleave_membind

Interleave policy is supported.

## ◆ migrate_membind

unsigned char hwloc_topology_membind_support::migrate_membind

Migration flags is supported.

## ◆ nexttouch_membind

unsigned char hwloc_topology_membind_support::nexttouch_membind

Next-touch migration policy is supported.

## ◆ set_area_membind

unsigned char hwloc_topology_membind_support::set_area_membind

Binding a given memory area is supported.

## ◆ set_proc_membind

unsigned char hwloc_topology_membind_support::set_proc_membind

Binding a whole given process is supported.

## ◆ set_thisproc_membind

unsigned char hwloc_topology_membind_support::set_thisproc_membind

Binding the whole current process is supported.

## ◆ set_thisthread_membind

unsigned char hwloc_topology_membind_support::set_thisthread_membind

Binding the current thread only is supported.

## ◆ weighted_interleave_membind

unsigned char hwloc_topology_membind_support::weighted_interleave_membind

Weighted interleave policy is supported.

The documentation for this struct was generated from the following file:

- hwloc.h